# List an app's CMS modules

Includes retired modules, so a developer can see what a push removed.

Endpoint: GET /api/v2/apps/{appUuid}/cms-modules
Version: 2.0
Security: bearerAuth

## Path parameters:

  - `appUuid` (string, required)

## Response 200 fields (application/json):

  - `message` (string)
    A message detailing the result of the operation.
    Example: "Success"

  - `data` (array)
    The data payload of the response, if any.

  - `data.uuid` (string)

  - `data.name` (string)

  - `data.label` (string)

  - `data.ref` (string)

  - `data.kind` (string)

  - `data.description` (string)

  - `data.category` (string)

  - `data.icon` (string)

  - `data.preview` (string)

  - `data.appUuid` (string)

  - `data.appName` (string)

  - `data.appLabel` (string)

  - `data.packageName` (string)

  - `data.version` (string)

  - `data.retired` (boolean)

  - `data.fields` (array)

  - `data.fields.name` (string)

  - `data.fields.label` (string)

  - `data.fields.type` (string)

  - `data.fields.required` (boolean)

  - `data.fields.helpText` (string)

  - `data.fields.options` (array)

  - `data.fields.options.name` (string)

  - `data.fields.options.label` (string)

  - `data.fields.options.helpText` (string)

  - `data.fields.options.preview` (string)

  - `data.fields.optionsSource` (object)

  - `data.fields.optionsSource.type` (string)

  - `data.fields.optionsSource.serverlessFunctionUuid` (string)

  - `data.fields.optionsSource.serverlessFunctionName` (string)

  - `data.fields.optionsSource.dependsOn` (array)

  - `data.fields.optionsSource.searchable` (boolean)

  - `data.fields.optionsSource.minQueryLength` (integer)

  - `data.fields.actionSource` (object)

  - `data.fields.actionSource.type` (string)

  - `data.fields.actionSource.serverlessFunctionUuid` (string)

  - `data.fields.actionSource.serverlessFunctionName` (string)

  - `data.fields.actionSource.enqueue` (boolean)

  - `data.fields.defaultValue` (any)

  - `data.fields.hidden` (boolean)

  - `data.fields.advanced` (boolean)

  - `data.fields.filterTraits` (array)

  - `data.fields.visibleWhen` (array)

  - `data.fields.visibleWhen.field` (string)

  - `data.fields.visibleWhen.operator` (string)

  - `data.fields.visibleWhen.value` (any)

  - `data.fields.itemFields` (array)

  - `data.fields.min` (integer)

  - `data.fields.max` (integer)

  - `data.fields.itemLabel` (string)

  - `data.fields.value` (any)

  - `data.fields.hasValue` (boolean)

  - `data.fields.mappingValue` (object)

  - `data.fields.mappingValue.objectName` (string)

  - `data.fields.mappingValue.targetKind` (string)

  - `data.fields.mappingValue.items` (array)

  - `data.fields.mappingValue.items.fieldLabel` (string)

  - `data.fields.mappingValue.items.fieldName` (string)

  - `data.fields.mappingValue.items.fieldHelpText` (string)

  - `data.fields.mappingValue.items.isRequired` (boolean)

  - `data.fields.mappingValue.items.allowedPropertyTypes` (array)

  - `data.fields.mappingValue.items.allowedPropertyFormats` (array)

  - `data.fields.mappingValue.items.propertyName` (string)

  - `data.fields.mappingValue.items.recordUuid` (string)

  - `data.fields.mappingValue.recordTarget` (boolean)

  - `data.fields.valueScope` (string)

  - `data.fields.action` (boolean)

  - `data.frameworks` (object)

## Response 401 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

## Response 403 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

## Response 404 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

## Response 500 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"


